comedi_get_clock_source
Prev | 5.4.6. Extensions | Next

## Name

comedi_get_clock_source — get master clock for a subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_get_clock_source(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int * clock,
| unsigned int * period_ns`)`;

## Status

alpha

## Description

This function queries the master clock for a subdevice, as set by `comedi_set_clock_source`. The currently configured master clock will be written to `*`clock``. The possible values and their corresponding clocks are driver-dependant. The period of the clock in nanoseconds (or zero if it is unknown) will be written to `*`period_ns``. If the subdevice does not support configuring its master clocks on a per-channel basis, then the `channel` parameter will be ignored.

It is safe to pass `NULL` pointers as the `clock` or `period_ns` parameters. This function is only useable on subdevices that provide support for the `INSN_CONFIG_GET_CLOCK_SRC` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_disarm_channel | Home | comedi_get_gate_source